因为WordPress
让我们从现在喜欢建站

禁止WordPress主题和插件新版本更新提示的两个方法

我们很多网友是否会发现,如果我们在使用的WordPress主题和插件有新版本出现后会提示有新版本更新,我们需要去升级的提示。从严格要求将,如果插件和主题有新版本,尤其是有可能安全问题的修复,我们需要及时的更新升级,但是有些人不喜欢升级或者有这样的提示符,感觉很难看。

那我们是否有办法禁止这些提示更新呢?办法当然是有的,如果你需要用的话也是可以通过下面2个办法之一选择解决,具体办法如下。

//WordPress禁止插件和主题更新提示 edit by cnwper.com
function filter_plugin_updates( $value ) {
unset( $value->response['plugin-directory/plugin-file.php'] );
return $value;
}
add_filter( 'site_transient_update_plugins', 'filter_plugin_updates' );

这个方法需要将代码添加到Functions.php文件中。

define('DISALLOW_FILE_MODS',true);

我们也可以直接用这个办法将代码添加到网站程序根目录wp-config.php中。


关注公众号『老蒋部落』

获取更多建站运营运维新知!
互联网创业、前沿技术......

未经允许不得转载:WordPress笔记 » 禁止WordPress主题和插件新版本更新提示的两个方法